Loading...
Searching...
No Matches
Dune::ILU::CRS< B, Alloc > Struct Template Reference

a simple compressed row storage matrix class More...

`#include <dune/istl/ilu.hh>`

Inheritance diagram for Dune::ILU::CRS< B, Alloc >:

## Public Types

typedef B | block_type
typedef size_t | size_type

## Public Member Functions

| CRS ()
size_type | rows () const
size_type | nonZeros () const
void | resize (const size_type nRows)
void | reserveAdditional (const size_type nonZeros)
void | push_back (const block_type &value, const size_type index)

## Public Attributes

std::vector< size_type > | rows_
std::vector< block_type, Alloc > | values_
std::vector< size_type > | cols_
size_type | nRows_

## Detailed Description

template<class B, class Alloc = std::allocator<B>>
struct Dune::ILU::CRS< B, Alloc >

a simple compressed row storage matrix class

## Member Typedef Documentation

## block_type

template<class B, class Alloc = std::allocator<B>>

typedef B Dune::ILU::CRS< B, Alloc >::block_type

## size_type

template<class B, class Alloc = std::allocator<B>>

typedef size_t Dune::ILU::CRS< B, Alloc >::size_type

## Constructor & Destructor Documentation

## CRS()

template<class B, class Alloc = std::allocator<B>>

Dune::ILU::CRS< B, Alloc >::CRS | ( |  | ) |

inline

## Member Function Documentation

## nonZeros()

template<class B, class Alloc = std::allocator<B>>

size_type Dune::ILU::CRS< B, Alloc >::nonZeros | ( |  | ) | const

inline

## push_back()

template<class B, class Alloc = std::allocator<B>>

void Dune::ILU::CRS< B, Alloc >::push_back | ( | const block_type & | value,
|  | const size_type | index )

inline

## reserveAdditional()

template<class B, class Alloc = std::allocator<B>>

void Dune::ILU::CRS< B, Alloc >::reserveAdditional | ( | const size_type | nonZeros | ) |

inline

## resize()

template<class B, class Alloc = std::allocator<B>>

void Dune::ILU::CRS< B, Alloc >::resize | ( | const size_type | nRows | ) |

inline

## rows()

template<class B, class Alloc = std::allocator<B>>

size_type Dune::ILU::CRS< B, Alloc >::rows | ( |  | ) | const

inline

## Member Data Documentation

## cols_

template<class B, class Alloc = std::allocator<B>>

std::vector< size_type > Dune::ILU::CRS< B, Alloc >::cols_

## nRows_

template<class B, class Alloc = std::allocator<B>>

size_type Dune::ILU::CRS< B, Alloc >::nRows_

## rows_

template<class B, class Alloc = std::allocator<B>>

std::vector< size_type > Dune::ILU::CRS< B, Alloc >::rows_

## values_

template<class B, class Alloc = std::allocator<B>>

std::vector< block_type, Alloc> Dune::ILU::CRS< B, Alloc >::values_

The documentation for this struct was generated from the following file:

- ilu.hh